Gradebook: exercise_03_11.o Gradebook.o .gitignore
	g++ exercise_03_11.o Gradebook.o  -o Gradebook

exercise_03_11.ii: exercise_03_11.cpp Gradebook.hpp
	g++ -E exercise_03_11.cpp -o exercise_03_11.ii

Gradebook.ii: Gradebook.cpp Gradebook.hpp
	g++ -E Gradebook.cpp -o Gradebook.ii

exercise_03_11.s: exercise_03_11.ii
	g++ -S exercise_03_11.ii  -o exercise_03_11.s

Gradebook.s: Gradebook.ii
	g++ -S Gradebook.ii  -o Gradebook.s

exercise_03_11.o: exercise_03_11.s
	g++ -c exercise_03_11.s   -o exercise_03_11.o

Gradebook.o: Gradebook.s
	g++ -c Gradebook.s   -o Gradebook.o

.gitignore:
	echo Gradebook > .gitignore

clean:
	rm -f *.ii *.s *.o *.out Gradebook .gitignore

test1: Gradebook
	./Gradebook  < test1.in > test1.out || echo "Test 1 is executing..."
	diff test1.out test1.expected && echo PASSED || echo FAILED

.PRECIOUS: main.ii main.s
.SECONDARY: main.ii main.s
